Navigateur non compatible

Bonjour,
J’utilise Firefox72.0.1 sous windows,
J’ai désactivé toutes les extensions pour essayer de résoudre le pb.

Lors que je tente d’aller à la page https://www.gchange.fr/
je suis renvoyé à la page http://www.duniter.fr/browser-not-compatible/#/app/market/lg

C’est un peu frustrant d’être obligé d’utiliser Chrome pour aller sur Gchange.
un conseil ? une solution ?
Merci

Je viens de mettre à jour FF sur mon linux. Pas de soucis… et pourtant j’ai plein de modules de protection des données privées. Il faudrait le retour de plusieurs personnes pour conclure à un bug côté gchange…

Çà fonctionne chez moi aussi…
Firefox 71 + Xubuntu

Ça fonctionne bien chez moi aussi
Firefox 72.0.1 (64 bits) + Windows 10 Famille

Merci,
est ce que l’on sait ce qui déclenche la bascule entre gchange.fr et Duniter.fr ?

Un problème lié à la cryptographie inhérent aux implémentations de Gchange et Césium.

Il faut demander au grand maître de ces technologies @kimamila.

Et si tu lances g-change depuis ton poste avec l’appli web au lieu d’aller sur le site, ça fait pareil ?

Euh… je la trouves où l’appli web ?

P.S. Merci Moul pour l’ouverture d’un nouveau sujet

Bonjour !
C’est sans doute simplement le code qui filtre de navigateur qui est a revoir, suite à cette versiond e Firefox. (Pour les techos : c’est une expression régulière dans le config nginx, qui redirige.
Mon but était surtout d’empêcher IE, qui n’est pas compatible avec les dernières normes Javascript).

Je regarde ca

Peux-tu ouvrir cette page : http://useragent.fr/ avec ton navigateur qui pose problème, puis me dire ce qui s’affiche dans ‹ Mon user agent › ?
Merci

2 J'aimes

Merci Kimamila,
voici mon user Agent
Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:72.0) Gecko/20100101 Firefox/72.0

J’ai lu quelque part que la version 72.0 de Firefox avait une faille de sécurité.
D"où la mise place rapide de la 72.0.1
Je n’ai aucune idée si c’est lié à ton problème.

Sur le pc du boulot j’ai le même user-agent :

Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:72.0) Gecko/20100101 Firefox/72.0

Et gchange.fr fonctionne nickel.

Il est donc probable que le problème soit ailleurs :confused:

je viens de passer sous Xubuntu et ca fonctionne correctement :-/
Je repasse sous Windows ce soir ou demain, je vous tiens au courant.

1 J'aime

Pourras tu lancer un gchange ou Cesium web avec le chemin /debug.html puis ouvrir la console JavaScript. Et me donner les logs.

1 J'aime

Sur mon PC j’ai aussi le même user-agent et gchange marche très bien. J’ai la version 72.0.1 de Firefox, mais ça marque 72.0 dans le user-agent, il ne fait pas la différence.

Bonjour,
J’ai obtenu qq chose,.

Dis moi si cela te sert.

Par ailleurs, en navigation privé, j’arrive sur la page gchange.fr sans encombres.

Dans Firefox, une option précise si les modules complémentaires agissent sur la navigation privée.
Si les modules n’agissent pas chez toi en navigation privée, alors l’un d’eux est responsable du problème. Un bloqueur de pub ou de javascript ?
[EDIT] Je dis une bêtise là, je ne retrouve plus le réglage dans les préférences, donc j’ai du confondre avec autre chose… A ignorer. Désolé.

j’ai pas trouvé ou c’est géré…si tu peux me guider.
j’ai désactivé toutes les extensions et redémarré FF et toujours le même topo

J’ai déjà eu ce problème et j’ai également pas su comment m’en dépatouiller.